## org.apache.fop.fo.pagination
Class Region

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.pagination.Region

Direct Known Subclasses:
  RegionAfter, RegionBefore, RegionBody

public abstract class Region
extends FObj

This is an abstract base class for pagination regions

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Field Summary
`static java.lang.String` `PROP_REGION_NAME`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`protected` `Region(FObj parent, PropertyList propertyList)`

Method Summary
`boolean` `generatesReferenceAreas()`
`protected abstract java.lang.String` `getDefaultRegionName()` Returns the default region name (xsl-region-before, xsl-region-start, etc.)
`protected abstract java.lang.String` `getElementName()` Returns the element name ("fo:region-body", "fo:region-start", etc.)
`protected SimplePageMaster` `getPageMaster()`
`abstract java.lang.String` `getRegionClass()`
`java.lang.String` `getRegionName()` Returns the name of this region
`protected boolean` `isReserved(java.lang.String name)` Checks to see if a given region name is one of the reserved names

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, getContentWidth, getName, getProperty, layout, maker, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_REGION_NAME

    public static final java.lang.String PROP_REGION_NAME

Constructor Detail

### Region

    protected Region(FObj parent,
                     PropertyList propertyList)
              throws FOPException

Method Detail

### getDefaultRegionName

    protected abstract java.lang.String getDefaultRegionName()

  Returns the default region name (xsl-region-before, xsl-region-start, etc.)

### getElementName

    protected abstract java.lang.String getElementName()

  Returns the element name ("fo:region-body", "fo:region-start", etc.)

### getRegionClass

    public abstract java.lang.String getRegionClass()

### getRegionName

    public java.lang.String getRegionName()

  Returns the name of this region

### getPageMaster

    protected SimplePageMaster getPageMaster()

### isReserved

    protected boolean isReserved(java.lang.String name)
                          throws FOPException

  Checks to see if a given region name is one of the reserved names
  Parameters:
    `name` - a region name to check
  Returns:
    true if the name parameter is a reserved region name

### generatesReferenceAreas

    public boolean generatesReferenceAreas()

  Overrides:
    generatesReferenceAreas in class FObj

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.